Subject: Re: [PATCH net-next v2]netdevice: 82596: Convert netdev->priv to netdev_priv

From: Wang Chen <[email-masked]>
Date: Mon, 17 Nov 2008 22:42:16 +0800

David Miller said the following on 2008-11-17 17:29:
> From: Wang Chen <[email-masked]>
> Date: Mon, 17 Nov 2008 17:24:38 +0800
> 
>> The memory, which pointed by netdev->priv, can be allocated by alloc_etherdev().
>> We don't need to use __get_free_pages() to get memory.
>>
>> Signed-off-by: Wang Chen <[email-masked]>
> 
> I don't think this is right either.
> 
> There might be device imposed alignment constraints, for example.
> 
> And a whole page is also being allocated so that this cache mode
> change doesn't have an effect on unrelated kernel memory.  That could
> kill performance if some critical other data structure sits in the
> same page and now has it's cacheability disabled.
> 

On this situation, I think that keeping mem_start and using ml_priv
is the only way to remove directly reference of netdev->priv.

I will send v3 tomorrow.